package com.partner.example;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Toast;

import com.purplebrain.adbuddiz.sdk.AdBuddiz;
import com.purplebrain.adbuddiz.sdk.AdBuddizDelegate;

public class MainActivity extends Activity implements AdBuddizDelegate {

	private AdBuddiz adBuddiz;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		adBuddiz = AdBuddiz.getInstance();
        adBuddiz.cacheAds(this);    // start ads caching
        adBuddiz.setDelegate(this); // optional
        
        findViewById(R.id.button).setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				// To call whenever you want to display an Ad. 
				// Should always be after the adBuddiz.onStart() call
        		adBuddiz.showAd();
			}
		});
    }

	@Override
	protected void onStart() {
		super.onStart();
		adBuddiz.onStart(this);
	}

	@Override // delegate call
	public void failToLoadAd(String placementId, AdBuddizFailToDisplayCause cause) {
		Toast.makeText(this, cause.name(), Toast.LENGTH_SHORT).show();
		Log.e("TestActivity", placementId+": "+cause);
	}
}